package com.ai.da.service;

import com.ai.da.mapper.primary.entity.UserLike;
import com.ai.da.model.vo.UserLikeVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 服务类
 *
 * @author yanglei
 * @since 2022-09-11
 */
public interface UserLikeService extends IService<UserLike> {

    List<UserLikeVO> getGroupDetail(Long userGroupId);

    List<UserLikeVO> getGroupDetails(List<Long> userGroupIds);

    void deleteByUserGroupId(Long userGroupId);

    UserLike getByDesignItemId(Long designItemId);

    void updateDate(Long designItemId,String timeZone);
}
